#!/bin/csh

# Simple script to preprocess the namelists for entries that the ENS
# does not fill.
#

set num_ens = 20
set wrftemplate = namelist.input.template
set wpstemplate = namelist.wps.template

if ( -e sfile.txt ) /bin/rm sfile.txt

@ i = 1
while ( $i <= $num_ens )

set myline = ( `grep -m 1 "$i  :" namelist.catalog` )

  # set sfclay option depending on BL option (MYJ compatible)
  if ( $myline[5] == 2 ) then
    set sfclay = 2
  else
    set sfclay = 1
  endif

cat >> sfile.txt << EOF1
s/_SFC_PHYS_/$myline[3]/g
s/_MP_PHYS_/$myline[4]/g
s/_PBL_PHYS_/$myline[5]/g
s/_SFCLAY_PHYS_/$sfclay/g
s/_CU_PHYS_/$myline[6]/g
s/_LW_PHYS_/$myline[7]/g
s/_SW_PHYS_/$myline[8]/g
EOF1

  sed -f sfile.txt $wrftemplate > namelist.input.ENS_$i
  /bin/rm sfile.txt

  /bin/cp -f $wpstemplate namelist.wps.ENS_$i
  @ i ++
end #loop here

exit 0
