; script to add random noise to wrfinput files

begin
  vName = getenv("PVARIABLE")
  vVariance = stringtofloat(getenv("PVARIANCE"))
  Domain = getenv("DOMAIN")
  Member = getenv("MEMBER")
  vNum = stringtointeger(getenv("VNUM")) + 1

  if ( vVariance .eq. 0 ) then
    print("+ Not perturbing "+vName)
    return
  end if

  ; set the seed based on member and domain
  dnum = stringtointeger(Domain)
  mnum = stringtointeger(Member)
  s1 = floattointeger((dnum*mnum*vNum)^2)
  s2 = s1*3906
  random_setallseed(s1,s2)

  print("+ Perturbing "+vName+" with normal(0,"+vVariance+")")
  inFiln = "wrfinput_d0"+Domain+".nc"
  inF = addfile(inFiln,"rw")

  vIn = inF->$vName$

  dims = dimsizes(vIn)

  vStd = sqrt(vVariance)

  perts = random_normal(0.0,vStd,(/dims/))  
  vOut = vIn + perts

  if ( vName .eq. "QVAPOR" ) then
    vOut = vOut > 1e-12 
  end if

  inF->$vName$ = vOut

end
