#!/bin/ksh
#
# jobstr="llsubmit: The job \"bs1201en.140693\" has been submitted."
# `print $jobstr | get_jobid.ksh $scriptdir $logfile $email_target`
#  
#     $scriptdir     absolute path to these scripts
#     $logfile       full path to logfile
#     $email_target  where to send email if something fails
#     $valid_date    start date of run, for error logging
#  Extract unique job id from string returned by llsubmit command.  
#

set -u

# name of this script
self=$(/usr/bin/basename $0)

# load arguments
scriptdir=$1; shift
logfile=$1; shift
email_target=$1; shift
valid_date=$1; shift

# explicitly load all shared functions
. ${scriptdir}/ENS_SharedFunctions.ksh
# explicitly set path
SetPath

read inputline
joba=${inputline#*\"}
jobb=${joba%\"*}
jobid=${jobb##*\.}
if (( $? == 0 )) ; then
  print "$jobid"
else
  ErrorEmailExit "failed to parse job id" $self $logfile $email_target $valid_date
fi

exit 0

