#!/bin/ksh
#
# jobstr="Job <231527> is submitted to queue <share>."
# `print $jobstr | get_jobid.ksh $scriptdir $logfile $email_target`
#  
#     $scriptdir     absolute path to these scripts
#     $logfile       full path to logfile
#     $email_target  where to send email if something fails
#  Extract unique job id from string returned by bsub command.  
#

set -u

# name of this script
self=$(/usr/bin/basename $0)

# load arguments
scriptdir=$1; shift
logfile=$1; shift
email_target=$1; shift

# explicitly load all shared functions
. ${scriptdir}/ENS_SharedFunctions.ksh
# explicitly set path
SetPath

read inputline
# "Job <231527> is submitted to queue <share>."
joba=${inputline#*\<}
# "231527> is submitted to queue <share>."
jobb=${joba%\>*}
# "231527> is submitted to queue <share"
jobid=${jobb%\>*}
# "231527"
if (( $? == 0 )) ; then
  print "$jobid"
else
  ErrorEmailExit "failed to parse job id" $self $logfile $email_target
fi

exit 0

