#!/usr/bin/perl
#########################################3
# Simple routine to increment date
# USAGE: increment_date.pl -s YYYYMMDDHHmmss -f increment_in_seconds

require 5;
use Time::Local;
use strict;
use vars qw($opt_s $opt_f);
use Getopt::Std;

getopts('s:f:');

die "increment_date: USAGE: increment_date.pl -s YYYYMMDDHHmmss -f increment_in_seconds\n" if ( ! $opt_s | ! $opt_f );
my $inDate = "$opt_s";
my $flen_ss = "$opt_f";

die "increment_date: incorrect date format\n" if ( length($inDate) < 14 );

my $inYY = substr($inDate,0,4);
my $inMM = substr($inDate,4,2);
my $inDD = substr($inDate,6,2);
my $inHH = substr($inDate,8,2);
my $inmm = substr($inDate,10,2);
my $inss = substr($inDate,12,2);

$inMM = $inMM - 1;

my $inTime = timegm($inss,$inmm,$inHH,$inDD,$inMM,$inYY);

my $outTime = $inTime + $flen_ss;

my ($outss,$outmm,$outHH,$outDD,$outMM,$outYY) = gmtime($outTime);

$outMM = $outMM + 1;
$outYY = $outYY + 1900;

$outMM = "0".$outMM while ( length($outMM) < 2 ); 
$outDD = "0".$outDD while ( length($outDD) < 2 ); 
$outHH = "0".$outHH while ( length($outHH) < 2 ); 
$outmm = "0".$outmm while ( length($outmm) < 2 ); 
$outss = "0".$outss while ( length($outss) < 2 ); 

print "${outYY}${outMM}${outDD}${outHH}${outmm}${outss}\n";

